Loading...
Searching...
No Matches
BALL::ShiftedLVMMMinimizer::Default Struct Reference

`#include <BALL/MOLMEC/MINIMIZATION/shiftedLVMM.h>`

## Static Public Attributes

static const Size | UPDATE_METHOD
static const Size | CORRECTION_PARAMETER
static const Size | NUM_OF_COLUMNS

## Detailed Description

Definition at line 68 of file shiftedLVMM.h.

## Member Data Documentation

## CORRECTION_PARAMETER

const Size BALL::ShiftedLVMMMinimizer::Default::CORRECTION_PARAMETER

static

Which correction parameter should be used? Default is RATIO_OF_SHIFT_PARAMS.

Definition at line 78 of file shiftedLVMM.h.

## NUM_OF_COLUMNS

const Size BALL::ShiftedLVMMMinimizer::Default::NUM_OF_COLUMNS

static

The number of columns of the factor of the shifted inverse hessian approximation. Default is 5.

Definition at line 83 of file shiftedLVMM.h.

## UPDATE_METHOD

const Size BALL::ShiftedLVMMMinimizer::Default::UPDATE_METHOD

static

Which update method should be used? Default is RANK_2.

Definition at line 73 of file shiftedLVMM.h.